[neon/neon/livecd-rootfs/Neon/release] live-build/auto: Added hook for AD support
Didier Roche
null at kde.org
Mon Aug 23 10:20:36 BST 2021
Git commit fee8ba22f48c4590d80e2d8e20ddddac2fe94fbd by Didier Roche, on behalf of Jean-Baptiste Lallement.
Committed on 21/05/2021 at 14:56.
Pushed by jriddell into branch 'Neon/release'.
Added hook for AD support
Adding dependencies for Active Directory support to workaround LP: #1921862
Co-authored-by: Didier Roche <didrocks at ubuntu.com>
M +20 -0 live-build/auto/config
https://invent.kde.org/neon/neon/livecd-rootfs/commit/fee8ba22f48c4590d80e2d8e20ddddac2fe94fbd
diff --git a/live-build/auto/config b/live-build/auto/config
index 702af138..86e506e3 100755
--- a/live-build/auto/config
+++ b/live-build/auto/config
@@ -1116,6 +1116,26 @@ EOF
;;
esac
+if [ $PROJECT = ubuntu ]; then
+ cat > config/hooks/001-active-directory.chroot <<EOF
+#!/bin/sh
+
+set -e
+
+echo "I: Adding dependencies for Active Directory support (Workaround LP: #1921862)"
+
+apt-get -y update
+
+apt-get -y install sssd realmd adcli krb5-config
+
+echo "I: Removing /var/lib/apt/lists/*"
+find /var/lib/apt/lists/ -type f | xargs rm -f
+
+echo "I: Removing /var/cache/apt/*.bin"
+rm -f /var/cache/apt/*.bin/
+EOF
+fi
+
if [ $PROJECT = ubuntu-server ] && [ "${SUBPROJECT:-}" != live ]; then
cat > config/hooks/100-remove-fstab.chroot <<EOF
#! /bin/sh
More information about the Neon-commits
mailing list